/* AUTOGENERATED FILE -- DO NOT EDIT */

/**
 * @file
 * @brief Common declarations for the example protocol
 * @addtogroup example_common
 * @{
 */

#ifndef EXAMPLE_MINIRPC_H
#define EXAMPLE_MINIRPC_H

#include "example_xdr.h"

#ifdef DOXYGEN
/**
 * @brief Get the version code of the @c minirpcgen which generated these
 *	stubs
 * @return The version code
 *
 * Version codes for higher versions are numerically greater than version codes
 * for lower versions.
 */
/* This is a hack to work around the fact that Doxygen insists on showing the
   macro's definition in its synopsis. */
#define EXAMPLE_MRPC_VERSION_CODE()
#else
#define EXAMPLE_MRPC_VERSION_CODE() 131072
#endif

/* The application should never need to use these directly. */
/**
 * @cond SHOW_PROCEDURE_ENUM
 */
enum example_server_procedures {
	nr_example_choose_color = 1,
	nr_example_get_num_colors = 2,
	nr_example_crayon_selected = -1,
};
/**
 * @endcond
 */

/**
 * @brief Free an example_color
 * @param	in
 *	The example_color to free
 * @param	container
 *	Whether to free the container, or just the contents
 *
 * Free all memory pointed to by members of @c in.  If @c container is nonzero,
 * also free @c in.
 */
void free_example_color(example_color *in, int container);

/**
 * @brief Free an example_color_choice
 * @param	in
 *	The example_color_choice to free
 * @param	container
 *	Whether to free the container, or just the contents
 *
 * Free all memory pointed to by members of @c in.  If @c container is nonzero,
 * also free @c in.
 */
void free_example_color_choice(example_color_choice *in, int container);

/**
 * @brief Free an example_count
 * @param	in
 *	The example_count to free
 * @param	container
 *	Whether to free the container, or just the contents
 *
 * Free all memory pointed to by members of @c in.  If @c container is nonzero,
 * also free @c in.
 */
void free_example_count(example_count *in, int container);

/**
 * @}
 */

#endif
